#ifndef _CANVAS_H
#define _CANVAS_H
#pragma interface
#include "textdraw.h"
#include "component.h"

struct Canvas: Component, TextImage {
  Canvas();
  void getfocus();
  void paint(DrawingContext *dc);
  void writeAttr(int x,int y,int n,const CHTYPE *a);
  void copyArea(const Rect &,int dx,int dy);
  void fillRect(const Rect &,CHTYPE attr);
  void reshape(int x,int y,int w,int h);
  void remoteMethod(int);
  virtual class ContainerComponent * obscured();
  ~Canvas();
private:
  IndirectContext *dc;
  TextContext drawing;	// context for attached TUIGraphics
};
#endif
