#include "display.h"

RECT GIANT_RECT = { 0, 0, GIANT, GIANT };

bool clip(sr,maxr,maxc,dr)
  const RECT *sr;
  int maxr, maxc;
  RECT *dr;
{
  dr->r1 = (sr->r1 > 0) ? sr->r1 : 0;
  dr->c1 = (sr->c1 > 0) ? sr->c1 : 0;
  dr->r2 = (sr->r2 < maxr) ? sr->r2 : maxr-1;
  dr->c2 = (sr->c2 < maxc) ? sr->c2 : maxc-1;
  return (dr->r1 <= dr->r2 && dr->c1 <= dr->c2);
}
