#ifndef __strlist_h
#define __strlist_h
//#pragma interface

#include <string>

class StringList {
  StringList(const StringList &);
  StringList&operator=(const StringList &);
  struct Slist;
  int idx, cnt;
  int mod(int i) { return (i < 0) ? i + cnt : i; }
  Slist *find(int);
  Slist *head, *cur;
  string def;	// default value
public:
  StringList();
  string &operator[](int);
  virtual string &insertln(int);
  int size() const { return cnt; }
  void add(const string &s) { insertln(cnt) = s; }
  void add(char c) { insertln(cnt) = string(1,c); }
  virtual void deleteln(int);
  virtual void clear();
  virtual ~StringList();
};
#endif
